> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/driving-license-advance.md).

# Driving License Advance

Verify driver's license details using RTO data across Indian states for secure and accurate identity authentication during compliance and onboarding.

#### Submit Document

## ind\_driving\_license

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/identity/ind_driving_license_advance`

### Post parameters description is given below,

<table><thead><tr><th width="197">Post Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>idNumber </td><td>String </td><td>Yes </td><td>Your DL Number</td></tr><tr><td>dateOfBirth</td><td>String</td><td>Yes</td><td>DOB</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "idNumber": "TN6320100000762",
    "dateOfBirth": "DD-MM-YYYY"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "739c9b70-dc3a-4b01-a078-80c6a4c6c36d",
    "status": "completed",
    "result": {
        "name": "SIVA",
        "fatherOrHusband": "MANIKANDAN",
        "issueDate": "12-01-2021",
        "bloodGroup": "A1+",
        "dob": "08-07-2001",
        "licenseNumber": "TN6320100000762",
        "transportvalidity": "",
        "nonTransportValidity": "12-01-2021 to 07-07-2041",
        "status": "Active",
        "covDetails": [
            {
                "cov": "MCWG",
                "issueDate": "12-01-2021"
            }
        ],
        "address": "69 A SOUTH STREET PADAINILAI Pappakudi (North) UDAYARPALAYAM TK,ARIYALUR,TN 612903",
        "statusDetails": {
            "from": "",
            "to": "",
            "remarks": ""
        },
        "initialIssuingOffice": "RTO, ARIYALUR",
        "lastEndorsementDate": "12-01-2021",
        "lastEndorsedOffice": "RTO, ARIYALUR",
        "endorsementReason": "ISSUE OF DRIVING LICENCE",
        "hazardousValidTill": "NA",
        "licenseImageUrl": {
            "key": "kyc/TUTWEBK00341/LicenseImagesDocuments/license_image_1778247691052-17782476909303.jpg",
            "signed_url": "http://3.108.106.182:8000/image-pub/kyc/TUTWEBK00341/LicenseImagesDocuments/license_image_1778247691052-17782476909303.jpg"
        }
    },
    "requested_at": "2026-05-08T13:41:27.219Z",
    "completed_at": "2026-05-08T13:41:31.203Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "61c7485c-4834-4e5c-b680-917a8ecae0a1",
    "status": "in_progress",
    "requested_at": "2026-05-08T13:41:27.219Z"
}
```

{% endtab %}

{% tab title=" 400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Driving license number should not be empty",
    "error": {
        "message": "Driving license number should not be empty",
        "field": "idNumber",
        "code": "BAD_REQUEST"
    }
}
{
    "success": false,
    "code": 400,
    "message": "Invalid Driving license number",
    "error": {
        "message": "Invalid Driving license number",
        "field": "idNumber",
        "code": "BAD_REQUEST"
    }
}
{
    "success": false,
    "code": 400,
    "message": "Invalid date of birth format. Use DD-MM-YYYY.",
    "error": {
        "message": "Invalid date of birth format. Use DD-MM-YYYY.",
        "field": "dateOfBirth",
        "code": "BAD_REQUEST"
    }
}
{
    "success": false,
    "code": 400,
    "message": "Date of birth should not be empty",
    "error": {
        "message": "Date of birth should not be empty",
        "field": "dateOfBirth",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "40c16499-7f8b-4214-b9b1-8d2ef3a8cf56",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-05-11T09:16:29.800Z",
    "completed_at": "2026-05-11T09:16:47.632Z"
}
```

{% endtab %}
{% endtabs %}

#### Document Status

## Get document details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/kyc/identity/ind_driving_license_advance`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "739c9b70-dc3a-4b01-a078-80c6a4c6c36d",
    "status": "completed",
    "result": {
        "name": "SIVA",
        "fatherOrHusband": "MANIKANDAN",
        "issueDate": "12-01-2021",
        "bloodGroup": "A1+",
        "dob": "08-07-2001",
        "licenseNumber": "TN6120210000xxxxx",
        "transportvalidity": "",
        "nonTransportValidity": "12-01-2021 to 07-07-2041",
        "status": "Active",
        "covDetails": [
            {
                "cov": "MCWG",
                "issueDate": "12-01-2021"
            }
        ],
        "address": "69 A SOUTH STREET PADAINILAI Pappakudi (North) UDAYARPALAYAM TK,ARIYALUR,TN 612903",
        "statusDetails": {
            "from": "",
            "to": "",
            "remarks": ""
        },
        "initialIssuingOffice": "RTO, ARIYALUR",
        "lastEndorsementDate": "12-01-2021",
        "lastEndorsedOffice": "RTO, ARIYALUR",
        "endorsementReason": "ISSUE OF DRIVING LICENCE",
        "hazardousValidTill": "NA",
        "licenseImageUrl": {
            "key": "kyc/TUTWEBK00341/LicenseImagesDocuments/license_image_1778247691052-17782476909303.jpg",
            "signed_url": "http://3.108.106.182:8000/image-pub/kyc/TUTWEBK00341/LicenseImagesDocuments/license_image_1778247691052-17782476909303.jpg"
        }
    },
    "requested_at": "2026-05-08T13:41:27.219Z",
    "completed_at": "2026-05-08T13:41:31.203Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "61c7485c-4834-4e5c-b680-917a8ecae0a1",
    "status": "in_progress",
    "requested_at": "2026-05-08T13:41:27.219Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "40c16499-7f8b-4214-b9b1-8d2ef3a8cf56",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-05-11T09:16:29.800Z",
    "completed_at": "2026-05-11T09:16:47.632Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/driving-license-advance.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
